Index: include/asterisk/cli.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/cli.h,v
retrieving revision 1.6
diff -u -r1.6 cli.h
--- include/asterisk/cli.h	6 Apr 2004 07:42:01 -0000	1.6
+++ include/asterisk/cli.h	15 Jan 2005 05:16:02 -0000
@@ -33,7 +33,7 @@
 
 #define AST_CLI_COMPLETE_EOF	"_EOF_"
 
-//! A command line entry */
+/* ! A command line entry */ 
 struct ast_cli_entry {
 	/*! Null terminated list of the words of the command */
 	char *cmda[AST_MAX_CMD_LEN];
@@ -51,13 +51,13 @@
 	int inuse;
 };
 
-//! Interprets a command
+/* ! Interprets a command */
 /*! Interpret a command s, sending output to fd
  * Returns 0 on succes, -1 on failure 
  */
 extern int ast_cli_command(int fd, char *s);
 
-//! Registers a command
+/* ! Registers a command */
 /*! 
  * \param fd File descriptor that I/O is done to
  * \param s string given at prompt
@@ -66,7 +66,7 @@
  */
 extern int ast_cli_register(struct ast_cli_entry *e);
 
-//! Unregisters a command
+/* ! Unregisters a command */
 /*!
  * \param e which cli entry to unregister
  * Unregister your own command.  You must pass a completed ast_cli_entry structur
@@ -74,7 +74,7 @@
  */
 extern int ast_cli_unregister(struct ast_cli_entry *e);
 
-//! Readline madness
+/* ! Readline madness */
 /* Useful for readline, that's about it
  * Returns 0 on success, -1 on failure
  */
Index: include/asterisk/config.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/config.h,v
retrieving revision 1.12
diff -u -r1.12 config.h
--- include/asterisk/config.h	8 Oct 2004 18:20:49 -0000	1.12
+++ include/asterisk/config.h	15 Jan 2005 05:16:02 -0000
@@ -37,7 +37,7 @@
 	char stuff[0];
 };
 
-//! Load a config file
+/* ! Load a config file */
 /*! 
  * \param configfile path of file to open.  If no preceding '/' character, path is considered relative to AST_CONFIG_DIR
  * Create a config structure from a given configuration file.
@@ -45,7 +45,7 @@
  */
 struct ast_config *ast_load(char *configfile);
 
-//! Removes a config
+/* ! Removes a config */
 /*!
  * \param config config data structure associated with the config.
  * Free memory associated with a given config
@@ -53,7 +53,7 @@
  */
 void ast_destroy(struct ast_config *config);
 
-//! Goes through categories
+/* ! Goes through categories */
 /*!
  * \param config Which config file you wish to "browse"
  * \param prev A pointer to a previous category.
@@ -62,7 +62,7 @@
  */
 char *ast_category_browse(struct ast_config *config, char *prev);
 
-//! Goes through variables
+/* ! Goes through variables */
 /*!
  * Somewhat similar in intent as the ast_category_browse.  The category MUST be an actual pointer to an actual category (such as one obtained by using ast_category_browse()).
  * List variables of config file
@@ -70,7 +70,7 @@
  */
 struct ast_variable *ast_variable_browse(struct ast_config *config, char *category);
 
-//! Gets a variable
+/* ! Gets a variable */
 /*!
  * \param config which (opened) config to use
  * \param category category under which the variable lies (must be a pointer to the category, such as one given by ast_category_browse)
@@ -80,7 +80,7 @@
  * Retrieve a specific variable */
 char *ast_variable_retrieve(struct ast_config *config, char *category, char *value);
 
-//! Make sure something is true
+/* ! Make sure something is true */
 /*!
  * Determine affermativeness of a boolean value.
  * This function checks to see whether a string passed to it is an indication of an affirmitave value.  It checks to see if the string is "yes", "true", "y", "t", and "1".  
@@ -88,7 +88,7 @@
  */
 int ast_true(const char *val);
 
-//! Make sure something is false
+/* ! Make sure something is false */
 /*!
  * Determine falseness of a boolean value.
  * This function checks to see whether a string passed to it is an indication of a negatirve value.  It checks to see if the string is "no", "false", "n", "f", and "0".  
@@ -96,7 +96,7 @@
  */
 int ast_false(const char *val);
 
-//! Check for category duplicates
+/* ! Check for category duplicates */
 /*!
  * \param config which config to use
  * \param category_name name of the category you're looking for
@@ -104,7 +104,7 @@
  * Browse config structure and check for category duplicity Return non-zero if found */
 int ast_category_exist(struct ast_config *config, char *category_name);
 
-//! Retrieve realtime configuration
+/* ! Retrieve realtime configuration */
 /*!
  * \param family which family/config to lookup
  * \param keyfield which field to use as the key
@@ -116,7 +116,7 @@
  */
 struct ast_variable *ast_load_realtime(const char *family, ...);
 
-//! Retrieve realtime configuration
+/* ! Retrieve realtime configuration */
 /*!
  * \param family which family/config to lookup
  * \param keyfield which field to use as the key
@@ -129,7 +129,7 @@
  */
 struct ast_config *ast_load_realtime_multientry(const char *family, ...);
 
-//! Update realtime configuration
+/* ! Update realtime configuration */
 /*!
  * \param family which family/config to be updated
  * \param keyfield which field to use as the key
@@ -141,7 +141,7 @@
  */
 int ast_update_realtime(const char *family, const char *keyfield, const char *lookup, ...);
 
-//! Free realtime configuration
+/* ! Free realtime configuration */
 /*!
  * \param var the linked list of variables to free
  * This command free's a list of variables and should ONLY be used
Index: include/asterisk/crypto.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/crypto.h,v
retrieving revision 1.4
diff -u -r1.4 crypto.h
--- include/asterisk/crypto.h	18 Sep 2004 03:59:51 -0000	1.4
+++ include/asterisk/crypto.h	15 Jan 2005 05:16:02 -0000
@@ -26,7 +26,7 @@
 
 struct ast_key;
 
-//! Retrieve a key
+/* ! Retrieve a key */
 /*! 
  * \param name of the key we are retrieving
  * \param int type of key (AST_KEY_PUBLIC or AST_KEY_PRIVATE)
@@ -35,14 +35,14 @@
  */
 extern struct ast_key *ast_key_get(char *key, int type);
 
-//! Initialize keys (that is, retrieve pass codes for all private keys)
+/* ! Initialize keys (that is, retrieve pass codes for all private keys) */
 /*!
  * \param fd a file descriptor for I/O for passwords
  *
  */
 extern int ast_key_init(int fd);
 
-//! Check the authenticity of a message signature using a given public key
+/* ! Check the authenticity of a message signature using a given public key */
 /*!
  * \param key a public key to use to verify
  * \param msg the message that has been signed
@@ -53,7 +53,7 @@
  */
 extern int ast_check_signature(struct ast_key *key, char *msg, char *sig);
 
-//! Check the authenticity of a message signature using a given public key
+/* ! Check the authenticity of a message signature using a given public key */
 /*!
  * \param key a public key to use to verify
  * \param msg the message that has been signed
Index: include/asterisk/features.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/features.h,v
retrieving revision 1.3
diff -u -r1.3 features.h
--- include/asterisk/features.h	17 Jul 2004 23:56:12 -0000	1.3
+++ include/asterisk/features.h	15 Jan 2005 05:16:02 -0000
@@ -17,7 +17,7 @@
 #ifndef _AST_FEATURES_H
 #define _AST_FEATURES_H
 
-//! Park a call and read back parked location
+/* ! Park a call and read back parked location */
 /*! \param chan the channel to actually be parked
     \param host the channel which will have the parked location read to
 	Park the channel chan, and read back the parked location to the
@@ -28,7 +28,7 @@
 	\param extout is a parameter to an int that will hold the parked location, or NULL if you want
 */
 extern int ast_park_call(struct ast_channel *chan, struct ast_channel *host, int timeout, int *extout);
-//! Park a call via a masqueraded channel
+/* ! Park a call via a masqueraded channel */
 /*! \param rchan the real channel to be parked
     \param host the channel to have the parking read to
 	Masquerade the channel rchan into a new, empty channel which is then
@@ -38,13 +38,13 @@
 */
 extern int ast_masq_park_call(struct ast_channel *rchan, struct ast_channel *host, int timeout, int *extout);
 
-//! Determine system parking extension
+/* ! Determine system parking extension */
 /*! Returns the call parking extension for drivers that provide special
     call parking help */
 extern char *ast_parking_ext(void);
 extern char *ast_pickup_ext(void);
 
-//! Bridge a call, optionally allowing redirection
+/* ! Bridge a call, optionally allowing redirection */
 
 extern int ast_bridge_call(struct ast_channel *chan, struct ast_channel *peer,struct ast_bridge_config *config);
 
Index: include/asterisk/file.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/file.h,v
retrieving revision 1.19
diff -u -r1.19 file.h
--- include/asterisk/file.h	24 Dec 2004 01:40:07 -0000	1.19
+++ include/asterisk/file.h	15 Jan 2005 05:16:03 -0000
@@ -24,7 +24,7 @@
 #endif
 
 
-//! Convenient for waiting
+/* ! Convenient for waiting */
 #define AST_DIGIT_ANY "0123456789#*"
 
 #define SEEK_FORCECUR	10
@@ -33,7 +33,7 @@
    pointer for use by the stream manager */
 struct ast_filestream;
 
-//! Registers a new file format
+/* ! Registers a new file format */
 /*! Register a new file format capability
  * Adds a format to asterisk's format abilities.  Fill in the fields, and it will work. For examples, look at some of the various format code.
  * returns 0 on success, -1 on failure
@@ -49,7 +49,7 @@
 						void (*close)(struct ast_filestream *),
 						char * (*getcomment)(struct ast_filestream *));
 	
-//! Unregisters a file format
+/* ! Unregisters a file format */
 /*!
  * \param name the name of the format you wish to unregister
  * Unregisters a format based on the name of the format.
@@ -57,7 +57,7 @@
  */
 int ast_format_unregister(const char *name);
 
-//! Streams a file
+/* ! Streams a file */
 /*!
  * \param c channel to stream the file to
  * \param filename the name of the file you wish to stream, minus the extension
@@ -68,7 +68,7 @@
  */
 int ast_streamfile(struct ast_channel *c, const char *filename, const char *preflang);
 
-//! Stops a stream
+/* ! Stops a stream */
 /*!
  * \param c The channel you wish to stop playback on
  * Stop playback of a stream 
@@ -76,7 +76,7 @@
  */
 int ast_stopstream(struct ast_channel *c);
 
-//! Checks for the existence of a given file
+/* ! Checks for the existence of a given file */
 /*!
  * \param filename name of the file you wish to check, minus the extension
  * \param fmt the format you wish to check (the extension)
@@ -86,7 +86,7 @@
  */
 int ast_fileexists(const char *filename, const char *fmt, const char *preflang);
 
-//! Renames a file
+/* ! Renames a file */
 /*! 
  * \param oldname the name of the file you wish to act upon (minus the extension)
  * \param newname the name you wish to rename the file to (minus the extension)
@@ -96,7 +96,7 @@
  */
 int ast_filerename(const char *oldname, const char *newname, const char *fmt);
 
-//! Deletes a file
+/* ! Deletes a file */
 /*! 
  * \param filename name of the file you wish to delete (minus the extension)
  * \param format of the file
@@ -104,7 +104,7 @@
  */
 int ast_filedelete(const char *filename, const char *fmt);
 
-//! Copies a file
+/* ! Copies a file */
 /*!
  * \param oldname name of the file you wish to copy (minus extension)
  * \param newname name you wish the file to be copied to (minus extension)
@@ -113,7 +113,7 @@
  */
 int ast_filecopy(const char *oldname, const char *newname, const char *fmt);
 
-//! Waits for a stream to stop or digit to be pressed
+/* ! Waits for a stream to stop or digit to be pressed */
 /*!
  * \param c channel to waitstram on
  * \param breakon string of DTMF digits to break upon
@@ -123,7 +123,7 @@
  */
 char ast_waitstream(struct ast_channel *c, const char *breakon);
 
-//! Same as waitstream but allows stream to be forwarded or rewound
+/* ! Same as waitstream but allows stream to be forwarded or rewound */
 /*!
  * \param c channel to waitstram on
  * \param breakon string of DTMF digits to break upon
@@ -140,7 +140,7 @@
    1 if monfd is ready for reading */
 char ast_waitstream_full(struct ast_channel *c, const char *breakon, int audiofd, int monfd);
 
-//! Starts reading from a file
+/* ! Starts reading from a file */
 /*!
  * \param filename the name of the file to read from
  * \param type format of file you wish to read from
@@ -156,7 +156,7 @@
  */
 struct ast_filestream *ast_readfile(const char *filename, const char *type, const char *comment, int flags, int check, mode_t mode);
 
-//! Starts writing a file
+/* ! Starts writing a file */
 /*!
  * \param filename the name of the file to write to
  * \param type format of file you wish to write out to
@@ -172,7 +172,7 @@
  */
 struct ast_filestream *ast_writefile(const char *filename, const char *type, const char *comment, int flags, int check, mode_t mode);
 
-//! Writes a frame to a stream
+/* ! Writes a frame to a stream */
 /*! 
  * \param fs filestream to write to
  * \param f frame to write to the filestream
@@ -181,7 +181,7 @@
  */
 int ast_writestream(struct ast_filestream *fs, struct ast_frame *f);
 
-//! Closes a stream
+/* ! Closes a stream */
 /*!
  * \param f filestream to close
  * Close a playback or recording stream
@@ -189,7 +189,7 @@
  */
 int ast_closestream(struct ast_filestream *f);
 
-//! Opens stream for use in seeking, playing
+/* ! Opens stream for use in seeking, playing */
 /*!
  * \param chan channel to work with
  * \param filename to use
@@ -198,7 +198,7 @@
  */
 struct ast_filestream *ast_openstream(struct ast_channel *chan, const char *filename, const char *preflang);
 
-//! Opens stream for use in seeking, playing
+/* ! Opens stream for use in seeking, playing */
 /*!
  * \param chan channel to work with
  * \param filename to use
@@ -207,7 +207,7 @@
  * Returns a ast_filestream pointer if it opens the file, NULL on error
  */
 struct ast_filestream *ast_openstream_full(struct ast_channel *chan, const char *filename, const char *preflang, int asis);
-//! Opens stream for use in seeking, playing
+/* ! Opens stream for use in seeking, playing */
 /*!
  * \param chan channel to work with
  * \param filename to use
@@ -216,7 +216,7 @@
  */
 struct ast_filestream *ast_openvstream(struct ast_channel *chan, const char *filename, const char *preflang);
 
-//! Applys a open stream to a channel.
+/* ! Applys a open stream to a channel. */
 /*!
  * \param chan channel to work
  * \param ast_filestream s to apply
@@ -224,14 +224,14 @@
  */
 int ast_applystream(struct ast_channel *chan, struct ast_filestream *s);
 
-//! play a open stream on a channel.
+/* ! play a open stream on a channel. */
 /*!
  * \param ast_filestream s to play
  * Returns 0 for success, -1 on failure
  */
 int ast_playstream(struct ast_filestream *s);
 
-//! Seeks into stream
+/* ! Seeks into stream */
 /*!
  * \param ast_filestream to perform seek on
  * \param sample_offset numbers of samples to seek
@@ -240,14 +240,14 @@
  */
 int ast_seekstream(struct ast_filestream *fs, long sample_offset, int whence);
 
-//! Trunc stream at current location
+/* ! Trunc stream at current location */
 /*!
  * \param ast_filestream fs 
  * Returns 0 for success, or -1 for error
  */
 int ast_truncstream(struct ast_filestream *fs);
 
-//! Fast forward stream ms
+/* ! Fast forward stream ms */
 /*!
  * \param ast_filestream fs filestream to act on
  * \param ms milliseconds to move
@@ -255,7 +255,7 @@
  */
 int ast_stream_fastforward(struct ast_filestream *fs, long ms);
 
-//! Rewind stream ms
+/* ! Rewind stream ms */
 /*!
  * \param ast_filestream fs filestream to act on
  * \param ms milliseconds to move
@@ -263,7 +263,7 @@
  */
 int ast_stream_rewind(struct ast_filestream *fs, long ms);
 
-//! Fast forward stream ms
+/* ! Fast forward stream ms */
 /*!
  * \param ast_filestream fs filestream to act on
  * \param ms milliseconds to move
@@ -271,7 +271,7 @@
  */
 int ast_stream_fastforward(struct ast_filestream *fs, long ms);
 
-//! Rewind stream ms
+/* ! Rewind stream ms */
 /*!
  * \param ast_filestream fs filestream to act on
  * \param ms milliseconds to move
@@ -279,21 +279,21 @@
  */
 int ast_stream_rewind(struct ast_filestream *fs, long ms);
 
-//! Tell where we are in a stream
+/* ! Tell where we are in a stream */
 /*!
  * \param ast_filestream fs to act on
  * Returns a long as a sample offset into stream
  */
 long ast_tellstream(struct ast_filestream *fs);
 
-//! Read a frame from a filestream
+/* ! Read a frame from a filestream */
 /*!
  * \param ast_filestream fs to act on
  * Returns a frame or NULL if read failed
  */ 
 struct ast_frame *ast_readframe(struct ast_filestream *s);
 
-//! Initialize file stuff
+/* ! Initialize file stuff */
 /*!
  * Initializes all the various file stuff.  Basically just registers the cli stuff
  * Returns 0 all the time
Index: include/asterisk/frame.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/frame.h,v
retrieving revision 1.39
diff -u -r1.39 frame.h
--- include/asterisk/frame.h	9 Jan 2005 10:32:53 -0000	1.39
+++ include/asterisk/frame.h	15 Jan 2005 05:16:03 -0000
@@ -67,7 +67,7 @@
 };
 
 
-//! Data structure associated with a single frame of data
+/* ! Data structure associated with a single frame of data */
 /* A frame of data read used to communicate between 
    between channels and applications */
 struct ast_frame {
@@ -266,7 +266,7 @@
 		u_int8_t data[0];
 };
 
-// Requests a frame to be allocated
+/*  Requests a frame to be allocated */
 /* 
  * \param source 
  * Request a frame be allocated.  source is an optional source of the frame, 
@@ -276,7 +276,7 @@
 struct ast_frame *ast_fralloc(char *source, int len);
 #endif
 
-//! Frees a frame
+/* ! Frees a frame */
 /*! 
  * \param fr Frame to free
  * Free a frame, and the memory it used if applicable
@@ -284,7 +284,7 @@
  */
 void ast_frfree(struct ast_frame *fr);
 
-//! Copies a frame
+/* ! Copies a frame */
 /*! 
  * \param fr frame to act upon
  * Take a frame, and if it's not been malloc'd, make a malloc'd copy
@@ -295,7 +295,7 @@
  */
 struct ast_frame *ast_frisolate(struct ast_frame *fr);
 
-//! Copies a frame
+/* ! Copies a frame */
 /*! 
  * \param fr frame to copy
  * Dupliates a frame -- should only rarely be used, typically frisolate is good enough
@@ -303,12 +303,12 @@
  */
 struct ast_frame *ast_frdup(struct ast_frame *fr);
 
-//! Chains a frame -- unimplemented
+/* ! Chains a frame -- unimplemented */
 #if 0 /* unimplemented */
 void ast_frchain(struct ast_frame_chain *fc);
 #endif
 
-//! Reads a frame from an fd
+/* ! Reads a frame from an fd */
 /*! 
  * \param fd an opened fd to read from
  * Read a frame from a stream or packet fd, as written by fd_write
@@ -316,7 +316,7 @@
  */
 struct ast_frame *ast_fr_fdread(int fd);
 
-//! Writes a frame to an fd
+/* ! Writes a frame to an fd */
 /*! 
  * \param fd Which fd to write to
  * \param frame frame to write to the fd
@@ -325,7 +325,7 @@
  */
 int ast_fr_fdwrite(int fd, struct ast_frame *frame);
 
-//! Sends a hangup to an fd
+/* ! Sends a hangup to an fd */
 /*! 
  * \param fd fd to write to
  * Send a hangup (NULL equivalent) on an fd
@@ -333,14 +333,14 @@
  */
 int ast_fr_fdhangup(int fd);
 
-//! Get the name of a format
+/* ! Get the name of a format */
 /*!
  * \param format id of format
  * \return A static string containing the name of the format or "UNKN" if unknown.
  */
 extern char* ast_getformatname(int format);
 
-//! Get the names of a set of formats
+/* ! Get the names of a set of formats */
 /*!
  * \param buf a buffer for the output string
  * \param n size of buf (bytes)
@@ -358,7 +358,7 @@
  */
 extern int ast_getformatbyname(char *name);
 
-//! Get a name from a format
+/* ! Get a name from a format */
 /*!
  * \param codec codec number (1,2,4,8,16,etc.)
  * Gets a name from a format
@@ -366,7 +366,7 @@
  */
 extern char *ast_codec2str(int codec);
 
-//! Pick the best codec 
+/* ! Pick the best codec  */
 /* Choose the best codec...  Uhhh...   Yah. */
 extern int ast_best_codec(int fmts);
 
Index: include/asterisk/image.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/image.h,v
retrieving revision 1.2
diff -u -r1.2 image.h
--- include/asterisk/image.h	31 Oct 2001 17:05:44 -0000	1.2
+++ include/asterisk/image.h	15 Jan 2005 05:16:03 -0000
@@ -14,7 +14,7 @@
 #ifndef _ASTERISK_IMAGE_H
 #define _ASTERISK_IMAGE_H
 
-//! structure associated with registering an image format
+/* ! structure associated with registering an image format */
 struct ast_imager {
 	/*! Name */
 	char *name;						
@@ -34,7 +34,7 @@
 	struct ast_imager *next;
 };
 
-//! Check for image support on a channel
+/* ! Check for image support on a channel */
 /*! 
  * \param chan channel to check
  * Checks the channel to see if it supports the transmission of images
@@ -42,7 +42,7 @@
  */
 extern int ast_supports_images(struct ast_channel *chan);
 
-//! Sends an image
+/* ! Sends an image */
 /*!
  * \param chan channel to send image on
  * \param filename filename of image to send (minus extension)
@@ -51,7 +51,7 @@
  */
 extern int ast_send_image(struct ast_channel *chan, char *filename);
 
-//! Make an image
+/* ! Make an image */
 /*! 
  * \param filename filename of image to prepare
  * \param preflang preferred language to get the image...?
@@ -61,7 +61,7 @@
  */
 extern struct ast_frame *ast_read_image(char *filename, char *preflang, int format);
 
-//! Register image format
+/* ! Register image format */
 /*! 
  * \param imgdrv Populated ast_imager structure with info to register
  * Registers an image format
@@ -69,7 +69,7 @@
  */
 extern int ast_image_register(struct ast_imager *imgdrv);
 
-//! Unregister an image format
+/* ! Unregister an image format */
 /*!
  * \param imgdrv pointer to the ast_imager structure you wish to unregister
  * Unregisters the image format passed in
@@ -77,7 +77,7 @@
  */
 extern void ast_image_unregister(struct ast_imager *imgdrv);
 
-//! Initialize image stuff
+/* ! Initialize image stuff */
 /*!
  * Initializes all the various image stuff.  Basically just registers the cli stuff
  * Returns 0 all the time
Index: include/asterisk/io.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/io.h,v
retrieving revision 1.5
diff -u -r1.5 io.h
--- include/asterisk/io.h	26 Oct 2003 18:50:49 -0000	1.5
+++ include/asterisk/io.h	15 Jan 2005 05:16:03 -0000
@@ -47,7 +47,7 @@
 
 struct io_context;
 
-//! Creates a context
+/* ! Creates a context */
 /*!
  * Create a context for I/O operations
  * Basically mallocs an IO structure and sets up some default values.
@@ -55,7 +55,7 @@
  */
 extern struct io_context *io_context_create(void);
 
-//! Destroys a context
+/* ! Destroys a context */
 /*
  * \param ioc structure to destroy
  * Destroy a context for I/O operations
@@ -66,7 +66,7 @@
 typedef int (*ast_io_cb)(int *id, int fd, short events, void *cbdata);
 #define AST_IO_CB(a) ((ast_io_cb)(a))
 
-//! Adds an IO context
+/* ! Adds an IO context */
 /*! 
  * \param ioc which context to use
  * \param fd which fd to monitor
@@ -78,7 +78,7 @@
  */
 extern int *ast_io_add(struct io_context *ioc, int fd, ast_io_cb callback, short events, void *data);
 
-//! Changes an IO handler
+/* ! Changes an IO handler */
 /*!
  * \param ioc which context to use
  * \param id
@@ -92,7 +92,7 @@
  */
 extern int *ast_io_change(struct io_context *ioc, int *id, int fd, ast_io_cb callback, short events, void *data);
 
-//! Removes an IO context
+/* ! Removes an IO context */
 /*! 
  * \param ioc which io_context to remove it from
  * \param id which ID to remove
@@ -100,7 +100,7 @@
  */
 extern int ast_io_remove(struct io_context *ioc, int *id);
 
-//! Waits for IO
+/* ! Waits for IO */
 /*!
  * \param ioc which context to act upon
  * \param howlong how many milliseconds to wait
@@ -111,17 +111,17 @@
  */
 extern int ast_io_wait(struct io_context *ioc, int howlong);
 
-//! Dumps the IO array
+/* ! Dumps the IO array */
 /*
  * Debugging: Dump everything in the I/O array
  */
 extern void ast_io_dump(struct io_context *ioc);
 
-//! Set fd into non-echoing mode (if fd is a tty)
+/* ! Set fd into non-echoing mode (if fd is a tty) */
 
 extern int ast_hide_password(int fd);
 
-//! Restores TTY mode
+/* ! Restores TTY mode */
 /*
  * Call with result from previous ast_hide_password
  */
Index: include/asterisk/logger.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/logger.h,v
retrieving revision 1.9
diff -u -r1.9 logger.h
--- include/asterisk/logger.h	12 Feb 2004 22:11:02 -0000	1.9
+++ include/asterisk/logger.h	15 Jan 2005 05:16:04 -0000
@@ -26,7 +26,7 @@
 	a; \
 }
 
-//! Used for sending a log message
+/* ! Used for sending a log message */
 /*!
  * \param level don't need to worry about it
  * \param file ditto
@@ -43,7 +43,7 @@
 extern void ast_queue_log(const char *queuename, const char *callid, const char *agent, const char *event, const char *fmt, ...)
 	__attribute__ ((format (printf, 5, 6)));
 
-//! Send a verbose message (based on verbose level)
+/* ! Send a verbose message (based on verbose level) */
 /*!
  * This works like ast_log, but prints verbose messages to the console depending on verbosity level set.
  * ast_verbose(VERBOSE_PREFIX_3 "Whatever %s is happening\n", "nothing");
Index: include/asterisk/module.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/module.h,v
retrieving revision 1.14
diff -u -r1.14 module.h
--- include/asterisk/module.h	16 Oct 2004 21:14:05 -0000	1.14
+++ include/asterisk/module.h	15 Jan 2005 05:16:04 -0000
@@ -20,7 +20,7 @@
 
 /* Every module must provide these functions */
 
-//! Initialize the module
+/* ! Initialize the module */
 /*!
  * This function is called at module load time.  Put all code in here
  * that needs to set up your module's hardware, software, registrations,
@@ -28,7 +28,7 @@
  */
 int load_module(void);
 
-//! Cleanup all module structures, sockets, etc
+/* ! Cleanup all module structures, sockets, etc */
 /*!
  * This is called at exit.  Any registrations and memory allocations need
  * to be unregistered and free'd here.  Nothing else will do these for you (until exit).
@@ -36,7 +36,7 @@
  */
 int unload_module(void);
 
-//! Provides a usecount
+/* ! Provides a usecount */
 /*!
  * This function will be called by various parts of asterisk.  Basically, all it has
  * to do is to return a usecount when called.  You will need to maintain your usecount
@@ -44,13 +44,13 @@
  */
 int usecount(void);			/*! How many channels provided by this module are in use? */
 
-//! Description
+/* ! Description */
 /*!
  * Returns a short description of your module.
  */
 char *description(void);		/*! Description of this module */
 
-//! Returns the ASTERISK_GPL_KEY
+/* ! Returns the ASTERISK_GPL_KEY */
 /*!
  * This returns the ASTERISK_GPL_KEY, signifiying that you agree to the terms of
  * the GPL stated in the ASTERISK_GPL_KEY.  Your module will not load if it does
@@ -58,7 +58,7 @@
  */
 char *key(void);		/*! Return the below mentioned key, unmodified */
 
-//! Reload stuff
+/* ! Reload stuff */
 /*!
  * This function is where any reload routines take place.  Re-read config files,
  * change signalling, whatever is appropriate on a reload.
@@ -80,7 +80,7 @@
 #define AST_FORCE_FIRM 1
 #define AST_FORCE_HARD 2
 
-//! Loads a module
+/* ! Loads a module */
 /*! 
  * \param resource_name the filename of the module to load
  * This function is ran by the PBX to load the modules.  It performs
@@ -91,7 +91,7 @@
  */
 int ast_load_resource(char *resource_name);
 
-//! Unloads a module
+/* ! Unloads a module */
 /*! 
  * \param resourcename the name of the module to unload
  * \param force the force flag.  Setting this to non-zero will force the module to be unloaded
@@ -101,14 +101,14 @@
  */
 int ast_unload_resource(char *resource_name, int force);
 
-//! Notify when usecount has been changed
+/* ! Notify when usecount has been changed */
 /*!
  * This function goes through and calulates use counts.  It also notifies anybody
  * trying to keep track of them.
  */
 void ast_update_use_count(void);
 
-//! Ask for a list of modules, descriptions, and use counts
+/* ! Ask for a list of modules, descriptions, and use counts */
 /*!
  * \param modentry a callback to an updater function
  * For each of the modules loaded, modentry will be executed with the resource, description,
@@ -116,7 +116,7 @@
  */
 int ast_update_module_list(int (*modentry)(char *module, char *description, int usecnt, char *like), char *like);
 
-//! Ask this procedure to be run with modules have been updated
+/* ! Ask this procedure to be run with modules have been updated */
 /*!
  * \param updater the function to run when modules have been updated
  * This function adds the given function to a linked list of functions to be run
@@ -125,7 +125,7 @@
  */
 int ast_loader_register(int (*updater)(void));
 
-//! No longer run me when modules are updated
+/* ! No longer run me when modules are updated */
 /*!
  * \param updater function to unregister
  * This removes the given function from the updater list.
@@ -133,7 +133,7 @@
  */
 int ast_loader_unregister(int (*updater)(void));
 
-//! Reload all modules
+/* ! Reload all modules */
 /*!
  * This reloads all modules set to load in asterisk.  It does NOT run the unload
  * routine and then loads them again, it runs the given reload routine.
Index: include/asterisk/monitor.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/monitor.h,v
retrieving revision 1.2
diff -u -r1.2 monitor.h
--- include/asterisk/monitor.h	3 Feb 2004 16:57:00 -0000	1.2
+++ include/asterisk/monitor.h	15 Jan 2005 05:16:04 -0000
@@ -7,7 +7,7 @@
 
 struct ast_channel;
 
-//! Responsible for channel monitoring data
+/* ! Responsible for channel monitoring data */
 struct ast_channel_monitor
 {
 	struct ast_filestream *read_stream;
